JAXBUtils.BridgeWrapper (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.jaxb, class: JAXBUtils, interface: BridgeWrapper

Package org.apache.cxf.common.jaxb

# Interface JAXBUtils.BridgeWrapper

Enclosing class:
  JAXBUtils

public static interface JAXBUtils.BridgeWrapper

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `marshal(Object elValue, XMLStreamWriter source, jakarta.xml.bind.attachment.AttachmentMarshaller m)`
  `void`
  `marshal(Object elValue, StreamResult s1)`
  `void`
  `marshal(Object elValue, Node source, jakarta.xml.bind.attachment.AttachmentMarshaller am)`
  `Object`
  `unmarshal(InputStream source)`
  `Object`
  `unmarshal(XMLStreamReader source, jakarta.xml.bind.attachment.AttachmentUnmarshaller am)`
  `Object`
  `unmarshal(Node source, jakarta.xml.bind.attachment.AttachmentUnmarshaller am)`

- ## Method Details

  - ### unmarshal

    Object unmarshal(XMLStreamReader source, jakarta.xml.bind.attachment.AttachmentUnmarshaller am) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### unmarshal

    Object unmarshal(InputStream source) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### unmarshal

    Object unmarshal(Node source, jakarta.xml.bind.attachment.AttachmentUnmarshaller am) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### marshal

    void marshal(Object elValue, XMLStreamWriter source, jakarta.xml.bind.attachment.AttachmentMarshaller m) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### marshal

    void marshal(Object elValue, StreamResult s1) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### marshal

    void marshal(Object elValue, Node source, jakarta.xml.bind.attachment.AttachmentMarshaller am) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`